For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Contact Export

Create a new Contact Export

post
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Body
Responses
201

Contact Export created successfully.

application/json
idintegerOptional
statusstring · enumOptionalPossible values:
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
urlstring · uri · nullableOptional

The URL of the exported contacts file. Only available when the export is finished.

post/api/contacts/exports
curl -X POST https://mailtrap.io/api/contacts/exports \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"filters": [{"name": "list_id", "operator": "equal", "value": [1, 2]}]}'
{
  "id": 1,
  "status": "started",
  "created_at": "2021-01-01T00:00:00Z",
  "updated_at": "2021-01-01T00:00:00Z",
  "url": null
}

Last updated

Was this helpful?